%global momorel 1
%global xmmsinputdir %{_libdir}/xmms/Input

Summary: Library and frontend for decoding MPEG2/4 AAC.
Name: faad2
Version: 2.5
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/faac/faad2-2.5.tar.gz 696490935bf65b2ace4aafaff79e2396
Patch0: faad2-2.5-buildfix.patch
URL: http://www.audiocoding.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf, automake, libtool, gcc-c++
BuildRequires: libsndfile-devel >= 1.0.0
BuildRequires: xmms-devel, id3lib-devel, gtk+-devel
BuildRequires: zlib-devel
%if 1
Obsoletes: xmms-aac
%endif

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch.

%if 0
%package -n xmms-aac
Summary: X MultiMedia System input plugin to play AAC files.
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}, xmms, id3lib

%description -n xmms-aac
This xmms plugin reads AAC files with and without ID3 tags (version 2.x).
AAC files are MPEG2 or MPEG4 files that can be found in MPEG4 audio files(.mp4). MPEG4 files with AAC inside can be read by RealPlayer or Quicktime.
%endif

%package devel
Summary: Development libraries of the FAAD 2 AAC decoder.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely written from scratch.

This package contains development files and documentation for libfaad.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .buildfix

%build
# This is what the README.linux file recommends
autoreconf -vif
%configure \
    --disable-static \
    --with-drm
%make

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

# Remove this wrong include
%{__perl} -pi -e 's|#include <systems.h>||g' \
    %{buildroot}%{_includedir}/mpeg4ip.h

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/*.so.*

%if 0
%files -n xmms-aac
%defattr(-,root,root,-)
%doc plugins/xmms/AUTHORS plugins/xmms/NEWS
%doc plugins/xmms/README plugins/xmms/TODO
#%%exclude %{xmmsinputdir}/*.a
%exclude %{xmmsinputdir}/*.la
%{xmmsinputdir}/*.so
%endif

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
#%%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Thu Apr 12 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.5-1m)
- update to 2.5
- sync with freshrpms.net, but backward compatibility is left.
- 
- * Mon Jan  8 2007 Matthias Saou <http://freshrpms.net/> 2.5-2
- - Add patch to remove backwards compatibility in the header so that we can
-   easily identify and patch all programs requiring a rebuild.
- * Fri Dec 15 2006 Matthias Saou <http://freshrpms.net/> 2.5-1
- - Update to 2.5.
- - Completely remove xmms/bmp plugin, it's a real mess anyway. Use audacious.
- - Rip out libmp4v2 too, it's best as a separate package.
- - Add libsysfs-devel build requirement, as it seems configure checks for it.

* Mon Mar 27 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- change xmmsinputdir

* Tue Nov  8 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.0-7m)
- update to 20050513 cvs version
- add gcc4 patch (Patch0)

* Sat May  7 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-6m)
- delete /usr/lib/libmp4v2.so.0.0.0, /usr/include/mp4.h, 
  /usr/include/mpeg4ip.h, /usr/lib/libmp4v2.a from files list
  use faac
- add --with-mpeg4ip and --disable-static at configure
- delete --with-mpeg4ip (go to next change)
- use cvs Source0
- - delete Patch0: faad2-Makefile.tab.patch
- - delete Patch1: faad2-2.0-gcc34.patch
- - delete Patch2: faad2-2.0-xmms.patch

* Mon May  2 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0-5m)
- fix xmms plugin crash

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.0-4m)
- enable x86_64.

* Sun Aug 22 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.0-3m)
- rebuild against gcc-c++-3.4.1
- add gcc34 patch

* Wed Jun 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.0-2m)
- correct the directory name

* Sat May 29 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0-1m)
- import from paken.

* Fri Jan 31 2004 Takeru Komoriya <komoriya@paken.org>
- Repackaged based on faad2-2.0-rc1_1.rhfc1.at

* Tue Aug 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0rc1.
- Introduced LD_LIBRARY_PATH workaround.
- Removed optional xmms plugin build, it seems mandatory now.
- Added gtk+ build dep for the xmms plugin.

* Wed May 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added xmms plugin build.

* Wed Apr  9 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Now exclude .la file.
- Update to latest CVS checkout to fix compile problem.

* Fri Aug 10 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- changes to compile v1.1 release

* Tue Jun 18 2002 Alexander Kurpiers <a.kurpiers@nt.tu-darmstadt.de>
- First RPM.

